Module | Zlib
In: | lib/standard/facets/zlib.rb

A convenient wrapper for the zlib standard library that allows compression/decompression of strings with gzip.

### Methods

compress decompress deflate inflate

### Public Class methods

compress(source)

Compresses a string using gzip.

decompress(source)

Decompresses a gzipped string.

deflate(string, level=DEFAULT_COMPRESSION)

Deflate a string.

inflate(string)

Inflate a deflated sting.

[Validate]